curl_url_cleanup(3)

NAME
curl_url_cleanup - free a CURLU handle

SYNOPSIS
#include <curl/curl.h> void curl_url_cleanup(CURLU *handle);

DESCRIPTION
Frees all the resources associated with the given CURLU handle!

RETURN VALUE
none

EXAMPLE
  CURLU *url = curl_url();
  curl_url_set(url, CURLUPART_URL, "https://example.com", 0);
  curl_url_cleanup(url);

AVAILABILITY
Added in curl 7.62.0

SEE ALSO
curl_url_dup(3), curl_url(3), curl_url_set(3), curl_url_get(3),